/*
 * This file is part of SOCKMAND.
 * 
 * SOCKMAND is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * SOCKMAND is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with SOCKMAND.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */


#include<stdio.h>
#include<sys/socket.h>
#include<netinet/in.h>
#include<arpa/inet.h>

int main (int argc,char **argv)
{
    
     if(argc != 2){
        printf("use port as arg\n");
        return -1;
     }
    int listenfd,connfd;
    
    struct sockaddr_in serv;
    int port = atoi(argv[1]);
    
    if(port < 0 || port > 65536){
	printf("use port as arg\n");
        return -1;
    }

    listenfd = socket(AF_INET,SOCK_STREAM,0);
    serv.sin_family = AF_INET;
    serv.sin_addr.s_addr = htonl(INADDR_ANY);
    serv.sin_port = htons(port);

    bind(listenfd,(struct sockaddr*)&serv,sizeof(serv));
    listen(listenfd,5);
    connfd = accept(listenfd,(struct sockaddr*)NULL,NULL);

    char buf[1024];

    while(1==1){
        int c = read(connfd, buf, 1024);
        buf[c] = '\0';
        printf("%s", buf);
    }
    close(listenfd);
    close(connfd);
    return 0;
}



