/*
 * This file is part of SOCKMAND.
 * 
 * SOCKMAND is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * SOCKMAND is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with SOCKMAND.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

int sm_socket(int domain, int type, int protocol, int mcappolicy);
int sm_rebuildsocket(int id);
int sm_bind(int sockfd, const struct sockaddr *addr, socklen_t addrlen);
int sm_connect(int sockfd, const struct sockaddr *addr, socklen_t addrlen);
int sm_close(int sockfd);
int sm_listen(int sockfd);
int sm_accept(int sockfd);
int sm_read(int fd, void *buf, int count);
int sm_write(int fd, const void *buf, int count);
int sm_sendto(int fd, const void *buf, int len, int flags, struct sockaddr *dest_addr, socklen_t addrlen);
int sm_recvfrom(int sockfd, void *buf, size_t len, int flags, struct sockaddr *src_addr, socklen_t *addrlen);
int sm_getuuid(int sockfd);
