/*
 * This file is part of SOCKMAND.
 * 
 * SOCKMAND is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * SOCKMAND is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with SOCKMAND.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

#include "migapi.h"
#include "utils.h"


unsigned int defaultmcap = 0;

unsigned int get_mcap(unsigned int mcappolicy){
    if(mcappolicy == 0)
        return get_my_addr();
    else{
        return defaultmcap; //TODO ask migrator
    }
}


int migapi_init(unsigned int default_mcap){    
    defaultmcap = default_mcap;
    return 0;
}