/*
 * This file is part of SOCKMAND.
 * 
 * SOCKMAND is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * SOCKMAND is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with SOCKMAND.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */


struct connectioninfo;

void handlesignal(int fd);
int sendsignal(char* signal, int len, unsigned int address);
void signalinit();
void handlesignalconnection();
void newsignalconn(unsigned int address);
void signal_exit();

extern int listenfd;

struct signalsocket{
    int fd;
    short active;
    unsigned int client;
};

extern int nsignals;
extern struct signalsocket signalsockets[1024]; 


#define MIGRATING_TO 1
#define SOCKETSTATE 2

struct signalheader{
    short signaltype;
    int uuid;
    unsigned int newaddress;
};

struct socketstate{
    short signaltype;
    int protocol;
    int length;
};