/*
 * This file is part of SOCKMAND.
 * 
 * SOCKMAND is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * SOCKMAND is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with SOCKMAND.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <arpa/inet.h>

#include "core.h"

void handle_keyboard( ){
    char  buffer[1024];
    char *retval;
    
    retval = fgets( buffer, sizeof(buffer), stdin );
    if( retval != 0 )
    {
        buffer[strlen(buffer)-1] = 0;
        
        if( strstr( buffer, "migrate" ) != NULL)
        {
            int uuid;
            char addr[1024];
            int ret = sscanf( buffer, "migrate %d %s", &uuid, addr);
            if( ret == 2 )
            {
                unsigned int iaddr = inet_addr(addr);
                if(iaddr != -1){
                    printf("Migrating socket %d to %s\n", uuid, addr);
                    int r =  migrate_socket(uuid, iaddr);
                    printf("Return from migratesocket %d\n\n", r);
                }
                else{
                    printf("Wrong addr input\n");
                }
            }
        }
    }
}