/*
 * This file is part of SOCKMAND.
 * 
 * SOCKMAND is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * SOCKMAND is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with SOCKMAND.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

struct ipheader;

void read_ip_packet(struct ipheader *ippacket);
int send_ip_packet(struct ipheader *ippacket);
void build_ip_packet(struct ipheader *ip, 
                     int protocol, 
                     unsigned int srcaddr, 
                     unsigned int destaddr, 
                     int payloadlen);


int is_app_present(struct ipheader *ip);
unsigned int get_app_location(struct ipheader *ip);