/*
 * This file is part of SOCKMAND.
 * 
 * SOCKMAND is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * SOCKMAND is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with SOCKMAND.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

extern int app_sockfd;
extern int napps;


struct appsocket{
    int unixfd;
    int controlblock; //Id in either tcp or udp cont
    int uuid; //random number
    short active;
    short protocol;
    unsigned int mcappolicy;
};

extern struct appsocket appsockets[1024]; 

void appapi_init();
void appapi_exit();
void handleappconnection();
void handleapp(int unixfd);
void register_closed(int appsockid);       
void doaccept(int appsockid);


void deliver_tcp_data(int appsockid, char* buf, int len);
void deliver_udp_data(int appsockid, char* buf, int len, short sourceport, unsigned int sourceaddr);
void connect_done(int appsockid, int ret);
